Skip to main content
`Ctrl`+`K`

# DMGetFirstLabeledPoint

Find first labeled `point` in `odm` such that the corresponding point in `dm` has the specified `height`. Return `point` and the corresponding `ds`.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMGetFirstLabeledPoint(DM dm, DM odm, DMLabel label, PetscInt numIds, const PetscInt ids[], PetscInt height, PetscInt *point, PetscDS *ds)

## Input Parameters

- dm - the `DM`

- odm - the enclosing `DM`

- label - label for `DM` domain, or `NULL` for whole domain

- numIds - the number of `ids`

- ids - An array of the label ids in sequence for the domain

- height - Height of target cells in `DMPLEX` topology

## Output Parameters

- point - the first labeled point

- ds - the `PetscDS` corresponding to the first labeled point

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexSetActivePoint()`, `DMLabel`, `PetscDS`

## Level

developer

## Location

src/dm/impls/plex/plexproject.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages